# Robotic Simulation Project Template for ROS 2

Welcome to Robotic Simulation template for ROS 2 projects! 
This project is a template designed to help you quickly start simulating robots in Open 3D Engine (O3DE) with Robot Operating System (ROS) 2.

An example ROS2 navigation stack launch file is bundled with the template.

This template focuses on ease of use and versatility.
If you have a use-case more similar to fleets of robots in a fulfillment center, there is another template that might fit you better:
- [ROS 2 Fleet Template](https://github.com/o3de/o3de-extras/tree/development/Templates/Ros2FleetRobotTemplate).

![Template picture](Screenshots/template_in_use.png)

## Set up a new project with the template

Please follow the instructions in [ROS 2 Gem documentation](https://development--o3deorg.netlify.app/docs/user-guide/interactivity/robotics/project-configuration/)
to install all required dependencies and create your project with a template (make sure to use chose this template during the process).

## ROS integration example

You can try out an example of ROS integration with the navigation stack.
Follow the [instructions](https://github.com/o3de/o3de-extras/tree/development/Templates/Ros2ProjectTemplate/Template/Examples/slam_navigation/README.md) to navigate your robot with ROS 2!
